﻿Public Class frmMaterial
#Region "Udalosti formulare"
    Private Sub frmMaterial_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'DsData.tblMaterial' table. You can move, or remove it, as needed.
        Me.TblMaterialTableAdapter.Fill(Me.DsData.tblMaterial)

        'nastaveni pocatecnich hodnot pro nove zaznamy
        With DsData.tblMaterial
            .Nazev_MatColumn.DefaultValue = "Název materiálu"
            .Merna_JedColumn.DefaultValue = "ks"
            .Mnoz_Do_PaColumn.DefaultValue = 1
            .Mnoz_PojColumn.DefaultValue = 1
            .DatumColumn.DefaultValue = Date.Today 'dnesni datum
        End With
    End Sub
#End Region

#Region "TblMaterialBindingNavigator"
    Private Sub TblMaterialBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TblMaterialBindingNavigatorSaveItem.Click
        Me.Cursor = Cursors.WaitCursor

        If Me.Validate() Then 'zadana data odpovidaji podminkam
            Me.TblMaterialBindingSource.EndEdit()
            Me.TableAdapterManager.UpdateAll(Me.DsData)
        Else
            Me.Cursor = Cursors.Default
            MsgBox("Opravte vstupy", MsgBoxStyle.Critical + MsgBoxStyle.OkOnly, "Chyba")
        End If
        Me.Cursor = Cursors.Default
    End Sub

#End Region

#Region "Ridici tlacitka"
    Private Sub btnZavrit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnZavrit.Click

        If Not IsNothing(Me.DsData.GetChanges) Then
            If MsgBox("Neuložili jste data. Chcete je uložit?", MsgBoxStyle.YesNo + MsgBoxStyle.Question,
                      "Uložit data?") = MsgBoxResult.Yes Then
                Exit Sub  ' prerusi proceduru
            End If
        End If

        ' otevre ridici formular
        Dim frmPom As New frmRidici
        frmPom.MdiParent = myFrmHlavni
        frmPom.Show()

        Me.Close()    'zavrit tento formular

    End Sub

#End Region

#Region "DataGridView"
    Private Sub dgvTblMaterial_CellValidating(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellValidatingEventArgs) Handles dgvTblMaterial.CellValidating
        Dim newInteger As Integer
        Dim newDate As Date

        Me.dgvTblMaterial.Rows(e.RowIndex).ErrorText = "" 'bez chyby

        Select Case Me.dgvTblMaterial.Columns(e.ColumnIndex).DataPropertyName
            Case "Cislo_Mat"
                If e.FormattedValue.ToString.Length <> 10 Then
                    Me.dgvTblMaterial.Rows(e.RowIndex).ErrorText = "Číslo materiálu musí obsahovat 10 znaků"
                    e.Cancel = True 'nevyskocim z bunky
                End If
            Case "Nazev_Mat"
                If e.FormattedValue.ToString.Length = 0 Then
                    Me.dgvTblMaterial.Rows(e.RowIndex).ErrorText = "Název materiálu musí být zadán"
                    e.Cancel = True 'nevyskocim z bunky
                End If
            Case "Merna_Jed"
                If e.FormattedValue.ToString.Length = 0 Then
                    Me.dgvTblMaterial.Rows(e.RowIndex).ErrorText = "Měrná jednotka musí být zadána"
                    e.Cancel = True 'nevyskocim z bunky
                End If
            Case "Mnoz_Poj", "Mnoz_Do_Pa"
                If Not Integer.TryParse(e.FormattedValue.ToString, newInteger) OrElse newInteger <= 0 Then
                    Me.dgvTblMaterial.Rows(e.RowIndex).ErrorText = "Množství musí být kladné"
                    e.Cancel = True 'nevyskocim z bunky
                End If
            Case "Datum"
                If Not Date.TryParse(e.FormattedValue.ToString, newDate) Then
                    Me.dgvTblMaterial.Rows(e.RowIndex).ErrorText = "Zadejte datum ve formátu dd.mm.rrrr"
                    e.Cancel = True 'nevyskocim z bunky
                End If

        End Select

    End Sub
#End Region
End Class